Bug 1089002 - Review Request: carterone-fonts - CarterOne fonts released by Vernon Adams
Summary: Review Request: carterone-fonts - CarterOne fonts released by Vernon Adams
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Luis Bazan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1070946
TreeView+ depends on / blocked
 
Reported: 2014-04-17 16:02 UTC by Julien Enselme
Modified: 2014-09-23 04:45 UTC (History)
8 users (show)

Fixed In Version: carterone-fonts-1.00-3.716ff965e2b0hg.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-19 10:17:45 UTC
bazanluis20: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Julien Enselme 2014-04-17 16:02:55 UTC
Spec URL: http://jenselme.perso.centrale-marseille.fr/visible/SPECS/carterone-fonts.spec
SRPM URL: http://jenselme.perso.centrale-marseille.fr/visible/SRPMS/carterone-fonts-1.00-1.9679bb315f98hg.fc20.src.rpm
Description: Carter is a reworking of particular casual type forms that were popular around the mid Twentieth Century, often found used areas such advertising or pulp fiction book covers. The letter forms of Carter have been reshaped and digitized for use as a web font, the counters have been opened up a little and the stems optimized for use as display font for modern web browsers. The fonts were created by Vernon Adams (vern@newtypography.co.uk).

Fedora Account System Username: jujens

Comment 2 Luis Bazan 2014-09-03 16:14:57 UTC
Using sample of the #1081782, the package meets the guidelines.

Approved!

Comment 3 Julien Enselme 2014-09-03 16:56:25 UTC
New Package SCM Request
=======================
Package Name: carterone-fonts
Short Description: CarterOne fonts released by Vernon Adams
Upstream URL: http://code.google.com/p/googlefontdirectory/source/browse/ofl/carterone
Owners: jujens
Branches: f20 f21

Comment 4 Gwyn Ciesla 2014-09-03 17:16:07 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2014-09-03 18:41:23 UTC
carterone-fonts-1.00-2.716ff965e2b0hg.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/carterone-fonts-1.00-2.716ff965e2b0hg.fc21

Comment 6 Fedora Update System 2014-09-03 18:41:28 UTC
carterone-fonts-1.00-2.716ff965e2b0hg.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/carterone-fonts-1.00-2.716ff965e2b0hg.fc20

Comment 7 Parag AN(पराग) 2014-09-04 14:33:05 UTC
This package is not following naming guidelines. Please rename this package.

Comment 8 Julien Enselme 2014-09-04 19:58:52 UTC
Just to be sure I understood correctly:

I did not include the "google-" prefix as a foundry name because I thought that since the project is hosted on code.google.com (a general hosting service), it was not a foundry.

Instead I should have considered the project which provides a set of fonts with consistent QA and so included the "google-" prefix.

Can you confirm that my reasoning is right now?

Comment 9 Parag AN(पराग) 2014-09-05 05:59:15 UTC
Maybe I am wrong in my understanding but our policy says 
For Fedora purposes a “foundry” is an entity that publishes a set of fonts with consistent font QA rules.
whose meaning i took as google is also publishing fonts so we can consider it as a foundry to make sure difference from some other website which is also publishing this font.

Let me check with someone on this.

Comment 10 Fedora Update System 2014-09-06 00:57:04 UTC
carterone-fonts-1.00-2.716ff965e2b0hg.fc21 has been pushed to the Fedora 21 testing repository.

Comment 11 Parag AN(पराग) 2014-09-06 03:40:47 UTC
I have sent email to nim-nim who initially proposed fonts packaging guidelines and we got it approved in 2009 and since then no changes happened to packaging guidelines.

Comment 12 Nicolas Mailhot 2014-09-06 19:04:10 UTC
I'm quite sure there are no specific requirements for using code.google.com as font hoster, so no I don't think anyone can claim it is a foundry.

OTOH, fonts commissioned by Google for its own products can certainly be considered as belonging to a foundry. Likewise fonts hosted on google font directory belong to another one (since google font directory is selective on what it accepts and tries to improve the font it hosts so they attain a certain technical standard)

With a giant like Google things are never simple

Comment 13 Nicolas Mailhot 2014-09-06 19:08:45 UTC
(BTW since Vernon Adams created quite a lot of fonts, I'm quite sure he could claim his own foundry)

Comment 14 Pravin Satpute 2014-09-08 05:33:33 UTC
Me also think no need to use google as a foundry name here. Only thing that google has done here is provided hosting space. Font is very clean with "Copyright (c) 2011 by vernon adams. All rights reserved."

Even i think Google will also not recommend in this case, see  "Submit a Font" https://code.google.com/p/googlefontdirectory/

Comment 15 Parag AN(पराग) 2014-09-08 05:44:14 UTC
I have given my reasoning why I like to see them prefixed with "google-" as the packaged source is used from googlefontdirectory. But looks like more votes on not having "google-" as foundry for font source used from googlefontdirectory. 

I will review the other fonts then.

Comment 16 Pravin Satpute 2014-09-08 07:50:40 UTC
We need fix in fontconfig file.

1. Family name is "Carter One" not "CarterOne"
2. To me this looks serif font rather than cursive.


See /usr/share/fontconfig/templates/fontconfig-generics.txt

"1. it simulates hand-written text, it's a “cursive” font,"

Comment 17 Julien Enselme 2014-09-08 20:24:29 UTC
Thanks for pointing that out. I have just edited my request.

Comment 18 Fedora Update System 2014-09-19 10:17:45 UTC
carterone-fonts-1.00-3.716ff965e2b0hg.fc20 has been pushed to the Fedora 20 stable repository.

Comment 19 Fedora Update System 2014-09-23 04:45:49 UTC
carterone-fonts-1.00-3.716ff965e2b0hg.fc21 has been pushed to the Fedora 21 stable repository.


Note You need to log in before you can comment on or make changes to this bug.